Subject: Re: bug#12922: 24.3.50; `make-pointer-invisible' don't seem to work
From: martin rudalics <[email-masked]>
To: Dani Moncayo <[email-masked]>, [email-masked]
Date: Mon, 06 Jul 2015 13:04:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.1

> I've read this paragraph in (info "(emacs) Display Custom"):
>
>       If the mouse pointer lies inside an Emacs frame, Emacs makes it
>    invisible each time you type a character to insert text, to prevent it
>    from obscuring the text.  (To be precise, the hiding occurs when you
>    type a "self-inserting" character.  *Note Inserting Text::.)  Moving
>    the mouse pointer makes it visible again.  To disable this feature, set
>    the variable `make-pointer-invisible' to `nil'.
>
> When I try to test that feature, the mouse pointer never hides.  It
> only changes between the arrow (when the pointer is over an empty
> area) and the "I-beam" (when the pointer is over some text).
>
> I've tested this with Emacs -Q, with the current trunk, with the
> current emacs-24 branch, and with the 24.2, 24.1 and 23.4 releases.
> In all cases the behavior is the same (mouse pointer remains visible
> after typing text).
>
>
> In GNU Emacs 24.3.50.1 (i386-mingw-nt6.1.7601)
>   of 2012-11-18 on MS-W7-DANI

This should work with Emacs 25.1.  Bug closed.

Thanks, martin